%define   name   stegdetect
%define   version  0.6
%define   release   %mkrel 1

Summary:   	Detects steganographic content in images
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
License:   	GPL
Group:      	Graphics
URL:      	http://www.outguess.org/detection.php
Source0:   	%{name}-%{version}.tar.gz
Patch0:    	%{name}-%{version}-jpeg.patch
Requires:   	libevent1 libgtk+1.2 jpeg-progs
BuildRequires:   libevent1-devel libgtk+1.2-devel gcc-c++ gtk+-devel
BuildRoot:   	%{_tmppath}/%{name}-buildroot
Packager: maik3135

%description
Stegdetect is an automated tool for detecting steganographic content
in images. It is capable of detecting several different steganographic
methods to embed hidden information in JPEG images. Currently, the
detectable schemes are jsteg, jphide (Unix and Windows), invisible
secrets, and outguess 01.3b.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

%build
export CFLAGS="%{optflags} `gtk-config --cflags`" CXXFLAGS="%{optflags}"
%configure

make %{?_smp_mflags}
%make xsteg

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/man4
%makeinstall

mv %{buildroot}%{_mandir}/man1/file.1 %{buildroot}%{_mandir}/man1/stegfile.1
mv %{buildroot}%{_mandir}/man4/magic.4 %{buildroot}%{_mandir}/man4/stegmagic.4
rm -f %{buildroot}%{_bindir}/cjpeg
rm -f %{buildroot}%{_bindir}/djpeg
rm -f %{buildroot}%{_bindir}/jpegtran
rm -f %{buildroot}%{_bindir}/rdjpgcom
rm -f %{buildroot}%{_bindir}/wrjpgcom


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/Stegdetect.desktop <<EOF
[Desktop Entry]
Name=Stegdetect
#GenericName=
Comment=Detects steganographic content in images.
Exec=xsteg
Icon=kcmx.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Graphics;
EOF

%post
%update_desktop_database

%postun
%clean_desktop_database


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/stegbreak
%{_bindir}/stegdetect
%{_bindir}/stegcompare
%{_bindir}/stegdeimage
%{_bindir}/xsteg
%{_mandir}/*
%{_datadir}/magic*
%{_datadir}/applications/Stegdetect.desktop

%changelog
* Thu Jan 24 2008 maik3531 <maik3531@web.de> 0.6-1pclos2007
- Initial build to PCLinuxOS
- update version to 0.6
- remove old menu system (texstar)
- fix post scripts (texstar)

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5-2mdk
- build release

